--
-- Rubbish by Ludovicus (LuisOrtiz@Verizon.NET)
--
-- Merchant Sales Management Functions
--
-- This addon is dedidicated to Harry Wasylyk & Larry Hansen, the Canadian inventors of the disposable green polyethylene garbage bag.
local AceConfigDialog = LibStub("AceConfigDialog-3.0")
local AceConfig = LibStub("AceConfig-3.0")
local L = LibStub("AceLocale-3.0"):GetLocale("Rubbish")

local myOptionsTable = {
  type = "group",
  args = {
    fence1 = {
        name = L["Rubbish Toggles"],
        type = "header",
        order = 1,
    },
    enable = {
      name = L["Enable Addon"],
      desc = L["Enables / Disables the addon."],
      type = "toggle",
      set = function(info,val) RubbishDB.Enabled = val end,
      get = function(info) return RubbishDB.Enabled end,
      order = 2,
    },
    alwaysSell = {
        name = L["Always Sell Junk"],
        desc = L["Enables automatically selling gray items (rubbish) when talking to a vendor."],
        type = "toggle",
        set = function(info,val) RubbishDB.AlwaysSellJunk = val end,
        get = function(info) return RubbishDB.AlwaysSellJunk end,
        order = 3,
    },
    disableAuctioneer = {
        name = L["Disable Item Suggest"],
        desc = L["Disables using the Auctioneer Item Suggest module to help decide what to vendor."],
        type = "toggle",
        set = function(info,val) RubbishDB.noAucAdvanced = val end,
        get = function(info) return RubbishDB.noAucAdvanced end,
        order = 4,
    },
    tossWhites = {
        name = L["Toss Whites"],
        desc = L["Enables thowing away white items in the field."],
        type = "toggle",
        set = function(info,val) RubbishDB.TossWhites = val end,
        get = function(info) return RubbishDB.TossWhites end,
        order = 5,
    },
    enableDebug = {
        name = L["Enable Debug"],
        desc = L["Temporarily enables output of debugging information when something goes wrong."],
        type = "toggle",
        set = function(info,val) Rubbish.DebugMode = val end,
        get = function(info) return Rubbish.DebugMode end,
        order = 6,
    },
    fence2 = {
        name = L["Rubbish Settings"],
        type = "header",
        order = 7,
    },
    slotsFree = {
        name = L["Free Slot Target"],
        desc = L["The number of slots to try to keep free in your bags.  Rubbish will thow away junk in the field to try to maintain this number."],
        type = "range",
        min = 0, softMin = 1,
        max = 50, softMax = 10,
        step = 1, 
        set = function(info,val) RubbishDB.FreeSlotTarget = val end,
        get = function(info) return RubbishDB.FreeSlotTarget end,
        order = 8,        
    },
    sellLimit = {
        name = L["Auto Sell Limit"],
        desc = L["Limit the number of items to be sold.  If you sell more than 12, you may not be able to buy them back!"],
        type = "range",
        min = 0, 
        max = 99, softMax = 10,
        step = 1, 
        set = function(info,val) RubbishDB.AutoSellLimit = val end,
        get = function(info) return RubbishDB.AutoSellLimit end,
        order = 9,        
    },
    
    forgetNeverSellList = {
        name = L["Clear Never Sell List"],
        desc = L["Forget all the items that you ever said you did not want to sell by left-clicking on them in the Sell pane."],
        type = "execute",
        image = "Interface\\Icons\\INV_Misc_EngGizmos_27",
        func = function () RubbishDB.NeverSell = {} end,
        order = 10
    }
  }
}

function Rubbish:Config_Init()
    AceConfig:RegisterOptionsTable("Rubbish", myOptionsTable)
    AceConfigDialog:AddToBlizOptions("Rubbish")
end
